# StandardEntityDeclaration constructor

const StandardEntityDeclaration({

1. Element? element,
2. DartType? dartType,
3. required Type type,
4. required bool isPublic,
5. required bool isSynthetic,
6. required String name,
7. String? debugger,

})

Creates a standard entity declaration

Parameters:

- `element`: Optional analyzer Element for static analysis
- `dartType`: Optional analyzer DartType for static typing
- `type`: Required runtime Type of the entity
- `debugger`: Optional custom debug identifier (defaults to "type_$type")

All fields are immutable once created.

## Implementation

    const StandardEntityDeclaration({
      Element? element,
      DartType? dartType,
      required super.type,
      required super.isPublic,
      required super.isSynthetic,
      required super.name,
      String? debugger
    }) : _element = element,
         _dartType = dartType,
         _debugger = debugger ?? "type_$type";